# $Id: smeserver-vmware-server.spec,v 1.2 2013/07/04 23:46:24 unnilennium Exp $
# Authority: gordonr
# Name: Gordon Rowell

Summary: VMware server integration package for SME Server
%define name smeserver-vmware-server
Name: %{name}
%define version 0.0.1
%define release 5
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: SMEServer/addon
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-vmware-server-xinetdinspec.patch
Patch1: smeserver-vmware-server-defaults.patch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires:  SMEServer >= 8.0
Requires: VMware-server
Requires: smeserver-xineted 
Requires: xinetd
Requires: xorg-x11-utils 
Requires: xorg-x11-deprecated-libs
BuildRequires: e-smith-devtools >= 1.13.1-03
AutoReqProv: no
%description
VMware server integration package for SME Server

%changelog
* Thu Jul 04 2013 JP Pialasse <tests@pialasse.com> 0.0.1-5.sme
- importing to sme8 contribs
- modified requires

* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Thu Dec 07 2006 Shad L. Lords <slords@mail.com>
- Update to new release naming.  No functional changes.
- Make Packager generic

* Fri May 12 2006 Gordon Rowell <gordonr@gormand.com.au> 0.0.1-02
- [0.0.1-03]
- Put defaults files in the correct place

* Fri May 12 2006 Gordon Rowell <gordonr@gormand.com.au> 0.0.1-02
- [0.0.1-02]
- Always start xinetd for now, until we remove the dependency
- Make the startup symlink in the SPEC file

* Fri May 12 2006 Gordon Rowell <gordonr@gormand.com.au> 0.0.1-01
- [0.0.1-01]
- Initial version
- TODO: Replace xinetd with tcpsvd run script

%prep
%setup
%patch0 -p1
%patch1 -p1
mkdir -p root/etc/rc.d/rc7.d
ln -s ../init.d/xinetd root/etc/rc.d/rc7.d/S56xinetd

%build
perl createlinks

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist \
    $RPM_BUILD_ROOT > %{name}-%{version}-%{release}-filelist

%clean
/bin/rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-%{release}-filelist

%defattr(-,root,root)
